<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: GpsData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_gps_data_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">GpsData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_gps_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef GPSDATA_H</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define GPSDATA_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  <span class="keyword">class </span>IODataElement;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html">   30</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_gps_data.html">GpsData</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data_1_1_type.html">   32</a></span>&#160;  <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_gps_data_1_1_type.html">Type</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data_1_1_type.html">Type</a>(<span class="keywordtype">void</span>){}</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    std::string GetDescription()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="stringliteral">&quot;gps data&quot;</span>; }</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;      <span class="keywordtype">size_t</span> size = 0;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;      size += 2*doubleType.GetSize(); <span class="comment">// Latitude, Longitude</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;      size += floatType.GetSize(); <span class="comment">// Altitude</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;      size += UInt8Type.GetSize(); <span class="comment">// NumberOfSatellites</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;      size += UInt8Type.GetSize(); <span class="comment">// FixQuality_t</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;      size += 5*floatType.GetSize();<span class="comment">//e,n,u,ve,vn</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;      size += 3*floatType.GetSize();<span class="comment">//pdop,hdop,vdop</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;      <span class="keywordflow">return</span> size;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    }</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keyword">private</span>:</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  };</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d">   54</a></span>&#160;  <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab0fbebcc090dfa8235309896b5d50a29">   55</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab0fbebcc090dfa8235309896b5d50a29">Latitude</a> ,</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da05ebdfdb1cb83d2cf0dda4d32697f89c">   56</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da05ebdfdb1cb83d2cf0dda4d32697f89c">Longitude</a> ,</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dac812e65c046d531140f0a42837f48e87">   57</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dac812e65c046d531140f0a42837f48e87">Altitude</a> ,</div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33daff27e35c98e589126863624faf00310b">   58</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33daff27e35c98e589126863624faf00310b">NumberOfSatellites</a> ,</div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da140ffccecd7553fd941b07b1f960b340">   59</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da140ffccecd7553fd941b07b1f960b340">FixQuality</a> ,</div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da9bec9e2ee8e19932559e21b79482f5f2">   60</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da9bec9e2ee8e19932559e21b79482f5f2">East</a> ,</div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab55fc587bd30c0f9b9a2f5e8960c9e80">   61</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab55fc587bd30c0f9b9a2f5e8960c9e80">North</a> ,</div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00">   62</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00">Up</a> ,</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da7f5f93b8e83079b4dcba24866dc9c173">   63</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da7f5f93b8e83079b4dcba24866dc9c173">EastVelocity</a> ,</div>
<div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd">   64</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd">NorthVelocity</a> ,</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    Pdop <span class="comment">/* dilution of precision*/</span>,</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    Hdop <span class="comment">/* horizontal dilution of precision*/</span>,</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    Vdop <span class="comment">/* vertical dilution of precision*/</span>,</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  } <a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d">PlotableData_t</a>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6">   74</a></span>&#160;  <span class="keyword">enum class</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6">FixQuality_t</a> : uint8_t {</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a4bbb8f967da6d1a610596d7257179c2b">Invalid</a> = 0,    </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a06960407a35b206422d40932f13c8d91">Gps</a> = 1,        </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6aee015802cac7ac6094dc62db8b8a2f51">DGps</a> = 2,       </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6abd9768d943ecb6ddb75aeffea3bfd829">Pps</a> = 3,        </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a8ad9533f39ec3fe43d6ee0104464a116">Rtk</a> = 4,        </div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a1eacb557d24c49af2ec6832c5fc32413">RtkFloat</a> = 5,   </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a3c311fbd0f9e51ce27b984f55164cf83">Estimated</a> = 6,  </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6ae1ba155a9f2e8c3be94020eef32a0301">Manual</a> = 7,     </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a4f502b57d2835715eaa382c7d4c32e94">Simulation</a> = 8, </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  };</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <a class="code" href="classflair_1_1core_1_1_gps_data.html#a1e4cb1b1c7c97ada454ae1ed251079e7">GpsData</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">int</span> n = 1);</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <a class="code" href="classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8">~GpsData</a>();</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *<a class="code" href="classflair_1_1core_1_1_gps_data.html#a0deb3d08a943318fa2397f5d4ebbab41">Element</a>(<a class="code" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d">PlotableData_t</a> data_type) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#ad6f06899b7281ad2680e47d37671845b">GetLla</a>(<span class="keywordtype">double</span> &amp;latitude, <span class="keywordtype">double</span> &amp;longitude,</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;                          <span class="keywordtype">float</span> &amp;altitude) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#a127f35d2f90679a1ac20e25f59820073">SetLla</a>(<span class="keywordtype">double</span> latitude,<span class="keywordtype">double</span> longitude,</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;                          <span class="keywordtype">float</span> altitude);</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#a887c61012e25fe3024802c1eb4329d2d">GetEnu</a>(<span class="keywordtype">float</span> &amp;east, <span class="keywordtype">float</span> &amp;north,</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;                          <span class="keywordtype">float</span> &amp;up) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#a41bc835f48f054b852690519d07f420c">SetEnu</a>(<span class="keywordtype">float</span> east, <span class="keywordtype">float</span> north,</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;                          <span class="keywordtype">float</span> up);</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#ad1a9ba4c575e7b9e24a9b9f0e68a61c5">GetVelocity</a>(<span class="keywordtype">float</span> &amp;eastVelocity, <span class="keywordtype">float</span> &amp;northVelocity) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#a09134eda9e9abd781fd5a9193b2dbc58">SetVelocity</a>(<span class="keywordtype">float</span> eastVelocity, <span class="keywordtype">float</span> northVelocity);</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;  uint8_t <a class="code" href="classflair_1_1core_1_1_gps_data.html#a22707e45c31501d36ddef69f6b9cee2f">GetNumberOfSatellites</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#a78c3f3c52bc4200f2006567f7dabefff">SetNumberOfSatellites</a>(uint8_t numberOfSatellites);</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;  <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6">FixQuality_t</a> <a class="code" href="classflair_1_1core_1_1_gps_data.html#a3cfaba20bdb233f7aa5605f3286e642e">GetFixQuality</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#ade62faa0efb52070acae36b4f3f485b8">SetFixQuality</a>(<a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6">FixQuality_t</a> fixQuality);</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;  </div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#ad0442d89cc3b54d8f216e6539db051b6">GetDop</a>(<span class="keywordtype">float</span> &amp;pDop, <span class="keywordtype">float</span> &amp;hDop,<span class="keywordtype">float</span> &amp;vDop) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#a1938a21ef420d22df14bbde302530bfd">SetDop</a>(<span class="keywordtype">float</span> pDop, <span class="keywordtype">float</span> hDop,<span class="keywordtype">float</span> vDop);</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;  Type <span class="keyword">const</span> &amp;GetDataType()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> dataType; }</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;  </div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_gps_data.html#a244d2936017287fcba29d56a02eb18d7">RawRead</a>(<span class="keywordtype">char</span> *dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;  <span class="keywordtype">void</span> Queue(<span class="keywordtype">char</span> **dst, <span class="keyword">const</span> <span class="keywordtype">void</span> *src, <span class="keywordtype">size_t</span> size) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;  Type dataType;</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;  <span class="keywordtype">double</span> latitude,longitude;</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;  <span class="keywordtype">float</span> altitude;</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;  uint8_t numberOfSatellites;</div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;  <a class="code" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6">FixQuality_t</a> fixQuality;</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;  <span class="keywordtype">float</span> east,north,up,eastVelocity,northVelocity,pDop,hDop,vDop;</div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;};</div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;</div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;<span class="preprocessor">#endif // GPSDATA_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a40703fd28dd1b6053df7292c222de5c8"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8">flair::core::GpsData::~GpsData</a></div><div class="ttdeci">~GpsData()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ad0442d89cc3b54d8f216e6539db051b6"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ad0442d89cc3b54d8f216e6539db051b6">flair::core::GpsData::GetDop</a></div><div class="ttdeci">void GetDop(float &amp;pDop, float &amp;hDop, float &amp;vDop) const </div><div class="ttdoc">Get dilution of precision. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6a4bbb8f967da6d1a610596d7257179c2b"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a4bbb8f967da6d1a610596d7257179c2b">flair::core::GpsData::FixQuality_t::Invalid</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33da9bec9e2ee8e19932559e21b79482f5f2"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da9bec9e2ee8e19932559e21b79482f5f2">flair::core::GpsData::East</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:60</div></div>
<div class="ttc" id="classflair_1_1core_1_1_data_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_data_type.html">flair::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:26</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33dac812e65c046d531140f0a42837f48e87"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dac812e65c046d531140f0a42837f48e87">flair::core::GpsData::Altitude</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:57</div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6a4f502b57d2835715eaa382c7d4c32e94"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a4f502b57d2835715eaa382c7d4c32e94">flair::core::GpsData::FixQuality_t::Simulation</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6a8ad9533f39ec3fe43d6ee0104464a116"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a8ad9533f39ec3fe43d6ee0104464a116">flair::core::GpsData::FixQuality_t::Rtk</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a887c61012e25fe3024802c1eb4329d2d"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a887c61012e25fe3024802c1eb4329d2d">flair::core::GpsData::GetEnu</a></div><div class="ttdeci">void GetEnu(float &amp;east, float &amp;north, float &amp;up) const </div><div class="ttdoc">Get east, north and up. </div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a1e4cb1b1c7c97ada454ae1ed251079e7"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a1e4cb1b1c7c97ada454ae1ed251079e7">flair::core::GpsData::GpsData</a></div><div class="ttdeci">GpsData(const Object *parent, std::string name=&quot;&quot;, int n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></div><div class="ttdoc">Class defining gps datas. </div><div class="ttdef"><b>Definition:</b> GpsData.h:30</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd">flair::core::GpsData::NorthVelocity</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:64</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a244d2936017287fcba29d56a02eb18d7"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a244d2936017287fcba29d56a02eb18d7">flair::core::GpsData::RawRead</a></div><div class="ttdeci">void RawRead(char *dst) const </div><div class="ttdoc">Raw read datas. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6abd9768d943ecb6ddb75aeffea3bfd829"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6abd9768d943ecb6ddb75aeffea3bfd829">flair::core::GpsData::FixQuality_t::Pps</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_1_1_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data_1_1_type.html">flair::core::GpsData::Type</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:32</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a78c3f3c52bc4200f2006567f7dabefff"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a78c3f3c52bc4200f2006567f7dabefff">flair::core::GpsData::SetNumberOfSatellites</a></div><div class="ttdeci">void SetNumberOfSatellites(uint8_t numberOfSatellites)</div><div class="ttdoc">Set number of satellites. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33da05ebdfdb1cb83d2cf0dda4d32697f89c"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da05ebdfdb1cb83d2cf0dda4d32697f89c">flair::core::GpsData::Longitude</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:56</div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a41bc835f48f054b852690519d07f420c"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a41bc835f48f054b852690519d07f420c">flair::core::GpsData::SetEnu</a></div><div class="ttdeci">void SetEnu(float east, float north, float up)</div><div class="ttdoc">Set east, north and up. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6a1eacb557d24c49af2ec6832c5fc32413"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a1eacb557d24c49af2ec6832c5fc32413">flair::core::GpsData::FixQuality_t::RtkFloat</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a0deb3d08a943318fa2397f5d4ebbab41"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a0deb3d08a943318fa2397f5d4ebbab41">flair::core::GpsData::Element</a></div><div class="ttdeci">IODataElement * Element(PlotableData_t data_type) const </div><div class="ttdoc">Element. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33dab55fc587bd30c0f9b9a2f5e8960c9e80"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab55fc587bd30c0f9b9a2f5e8960c9e80">flair::core::GpsData::North</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:61</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6a3c311fbd0f9e51ce27b984f55164cf83"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a3c311fbd0f9e51ce27b984f55164cf83">flair::core::GpsData::FixQuality_t::Estimated</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ade62faa0efb52070acae36b4f3f485b8"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ade62faa0efb52070acae36b4f3f485b8">flair::core::GpsData::SetFixQuality</a></div><div class="ttdeci">void SetFixQuality(FixQuality_t fixQuality)</div><div class="ttdoc">Set fix quality. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6aee015802cac7ac6094dc62db8b8a2f51"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6aee015802cac7ac6094dc62db8b8a2f51">flair::core::GpsData::FixQuality_t::DGps</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33da140ffccecd7553fd941b07b1f960b340"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da140ffccecd7553fd941b07b1f960b340">flair::core::GpsData::FixQuality</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:59</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a22707e45c31501d36ddef69f6b9cee2f"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a22707e45c31501d36ddef69f6b9cee2f">flair::core::GpsData::GetNumberOfSatellites</a></div><div class="ttdeci">uint8_t GetNumberOfSatellites(void) const </div><div class="ttdoc">Get number of satellites. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6ae1ba155a9f2e8c3be94020eef32a0301"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6ae1ba155a9f2e8c3be94020eef32a0301">flair::core::GpsData::FixQuality_t::Manual</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33d"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d">flair::core::GpsData::PlotableData_t</a></div><div class="ttdeci">PlotableData_t</div><div class="ttdoc">Datas wich can be plotted in a DataPlot1D. </div><div class="ttdef"><b>Definition:</b> GpsData.h:54</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33da7f5f93b8e83079b4dcba24866dc9c173"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da7f5f93b8e83079b4dcba24866dc9c173">flair::core::GpsData::EastVelocity</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:63</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6a06960407a35b206422d40932f13c8d91"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a06960407a35b206422d40932f13c8d91">flair::core::GpsData::FixQuality_t::Gps</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ad1a9ba4c575e7b9e24a9b9f0e68a61c5"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ad1a9ba4c575e7b9e24a9b9f0e68a61c5">flair::core::GpsData::GetVelocity</a></div><div class="ttdeci">void GetVelocity(float &amp;eastVelocity, float &amp;northVelocity) const </div><div class="ttdoc">Get east and north velocities. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00">flair::core::GpsData::Up</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:62</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_afb181594acc39c15c07e5ed5801021b6"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6">flair::core::GpsData::FixQuality_t</a></div><div class="ttdeci">FixQuality_t</div><div class="ttdoc">Fix qualty indicators. </div><div class="ttdef"><b>Definition:</b> GpsData.h:74</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33daff27e35c98e589126863624faf00310b"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33daff27e35c98e589126863624faf00310b">flair::core::GpsData::NumberOfSatellites</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:58</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a127f35d2f90679a1ac20e25f59820073"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a127f35d2f90679a1ac20e25f59820073">flair::core::GpsData::SetLla</a></div><div class="ttdeci">void SetLla(double latitude, double longitude, float altitude)</div><div class="ttdoc">Set latitude, longitude and altitude. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a09134eda9e9abd781fd5a9193b2dbc58"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a09134eda9e9abd781fd5a9193b2dbc58">flair::core::GpsData::SetVelocity</a></div><div class="ttdeci">void SetVelocity(float eastVelocity, float northVelocity)</div><div class="ttdoc">Set east and north velocities. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_data_element.html">flair::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:27</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ae2cac37d2ddaea43014053c88790a33dab0fbebcc090dfa8235309896b5d50a29"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab0fbebcc090dfa8235309896b5d50a29">flair::core::GpsData::Latitude</a></div><div class="ttdef"><b>Definition:</b> GpsData.h:55</div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a3cfaba20bdb233f7aa5605f3286e642e"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a3cfaba20bdb233f7aa5605f3286e642e">flair::core::GpsData::GetFixQuality</a></div><div class="ttdeci">FixQuality_t GetFixQuality(void) const </div><div class="ttdoc">Get fix quality. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_a1938a21ef420d22df14bbde302530bfd"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#a1938a21ef420d22df14bbde302530bfd">flair::core::GpsData::SetDop</a></div><div class="ttdeci">void SetDop(float pDop, float hDop, float vDop)</div><div class="ttdoc">Set dilution of precision. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_gps_data_html_ad6f06899b7281ad2680e47d37671845b"><div class="ttname"><a href="classflair_1_1core_1_1_gps_data.html#ad6f06899b7281ad2680e47d37671845b">flair::core::GpsData::GetLla</a></div><div class="ttdeci">void GetLla(double &amp;latitude, double &amp;longitude, float &amp;altitude) const </div><div class="ttdoc">Get latitude, longitude and altitude. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_gps_data_8h.html">GpsData.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
